KeyRecRepContent (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class KeyRecRepContent

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.KeyRecRepContent

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class KeyRecRepContent
      extends ASN1Object

  KeyRecRepContent ::= SEQUENCE { status PKIStatusInfo, newSigCert [0] CMPCertificate OPTIONAL, caCerts [1] SEQUENCE SIZE (1..MAX) OF CMPCertificate OPTIONAL, keyPairHist [2] SEQUENCE SIZE (1..MAX) OF CertifiedKeyPair OPTIONAL }

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CMPCertificate[]` | `getCaCerts()`
    `static KeyRecRepContent` | `getInstance(java.lang.Object o)`
    `CertifiedKeyPair[]` | `getKeyPairHist()`
    `CMPCertificate` | `getNewSigCert()`
    `PKIStatusInfo` | `getStatus()`
    `ASN1Primitive` | `toASN1Primitive()` KeyRecRepContent ::= SEQUENCE { status PKIStatusInfo, newSigCert [0] CMPCertificate OPTIONAL, caCerts [1] SEQUENCE SIZE (1..MAX) OF CMPCertificate OPTIONAL, keyPairHist [2] SEQUENCE SIZE (1..MAX) OF CertifiedKeyPair OPTIONAL }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static KeyRecRepContent getInstance(java.lang.Object o)

    - #### getStatus

          public PKIStatusInfo getStatus()

    - #### getNewSigCert

          public CMPCertificate getNewSigCert()

    - #### getCaCerts

          public CMPCertificate[] getCaCerts()

    - #### getKeyPairHist

          public CertifiedKeyPair[] getKeyPairHist()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           KeyRecRepContent ::= SEQUENCE {
                                   status                  PKIStatusInfo,
                                   newSigCert          [0] CMPCertificate OPTIONAL,
                                   caCerts             [1] SEQUENCE SIZE (1..MAX) OF
                                                                     CMPCertificate OPTIONAL,
                                   keyPairHist         [2] SEQUENCE SIZE (1..MAX) OF
                                                                     CertifiedKeyPair OPTIONAL
                        }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.